$(document).ready(function() {

  var
    token = $('body').data('token'),
    info = $('[data-info]').data('info');

  $('.js-plataform').on('change', function() {
    var classPlataformSelected = '.js-plataform-option-' + $(this).val();

    $('.js-plataform-option:not(.hidden)').addClass('hidden');
    $(classPlataformSelected).removeClass('hidden');
  });

  $('.js-product-actions').on('click', function(event) {
    var
      $this = $(this),
      $data = {};
      $data['product_ids'] = $('input[name="selected[]"]:checked')
        .map(function() {
            return this.value;
        })
        .get()
        .join(',');
      $data['redirect'] = info.urlRetorno;
      $data['type'] = $this.data('type');

    if(confirm('Deseja realmente associar este(s) anúncio(s) a plataforma B2W?')){
      $('body').append(loadBeforeSend());
      $.ajax({
        url: 'index.php?route=module/skyhub/association/product_actions&token='+token,
        type: 'POST',
        dataType: 'json',
        data: $data,
      })
        .done(function(json) {
          $('.loadBeforeSend').fadeOut();
           location.reload();

        })
        .fail(function() {
          $('.loadBeforeSend').fadeOut();
          console.log('error');
        });
    }


  });


  $(document).on('click', '.js-sincronizar-skyhub', function(e) {

    var mensagem = '';

    if ($(this).data('codigo-barra') == '') {
      mensagem = 'Este produto não possui código de barras, deseja continuar?';
    }

    if ($(this).data('mercaid') == '') {
      mensagem = 'Deseja realmente sincronizar este produto?';
    }

    if(mensagem != ''){
      if (confirm(mensagem)) {
        location.href = $(this).attr('data-link');
      }
    }else{
      location.href = $(this).attr('data-link');
    }

  });

  $(document).on('click', '.js-finalizar-skyhub', function(e) {
    if (confirm('Deseja realmente finalizar o anúncio? Esta ação excluirá o anúncio no skyhub')) {
      $.ajax({
        method: 'GET',
        url: $(this).attr('data-link'),
      }).done(function(json) {
        location.href = info.urlRetorno;
      });
    }
  });


});
